Skip to main content
Server path: /xero-payments | Type: Application | PCID required: Yes

Tools

ToolDescription
xero_payments_create_bank_transactionsCreates one or more spent or received money transaction
xero_payments_create_bank_transferCreates a bank transfer
xero_payments_create_batch_paymentCreates one or many batch payments for invoices
xero_payments_create_linked_transactionCreates linked transactions (billable expenses)
xero_payments_create_overpayment_allocationsCreates a single allocation for a specific overpayment
xero_payments_create_paymentCreates a single payment for invoice or credit notes
xero_payments_create_paymentsCreates multiple payments for invoices or credit notes
xero_payments_create_prepayment_allocationsAllows you to create an Allocation for prepayments
xero_payments_delete_batch_paymentUpdates a specific batch payment for invoices and credit notes
xero_payments_delete_batch_payment_by_url_paramUpdates a specific batch payment for invoices and credit notes
xero_payments_delete_linked_transactionDeletes a specific linked transactions (billable expenses)
xero_payments_delete_overpayment_allocationsDeletes an Allocation from an overpayment
xero_payments_delete_paymentUpdates a specific payment for invoices and credit notes
xero_payments_delete_prepayment_allocationsDeletes an Allocation from a Prepayment
xero_payments_get_bank_transactionRetrieves a single spent or received money transaction by using a unique bank transaction Id
xero_payments_get_bank_transactionsRetrieves any spent or received money transactions
xero_payments_get_bank_transferRetrieves specific bank transfers by using a unique bank transfer Id
xero_payments_get_bank_transfersRetrieves all bank transfers
xero_payments_get_batch_paymentRetrieves a specific batch payment using a unique batch payment Id
xero_payments_get_batch_paymentsRetrieves either one or many batch payments for invoices
xero_payments_get_linked_transactionRetrieves a specific linked transaction (billable expenses) using a unique linked transaction Id
xero_payments_get_linked_transactionsRetrieves linked transactions (billable expenses)
xero_payments_get_overpaymentRetrieves a specific overpayment using a unique overpayment Id
xero_payments_get_overpaymentsRetrieves overpayments
xero_payments_get_paymentRetrieves a specific payment for invoices and credit notes using a unique payment Id
xero_payments_get_paymentsRetrieves payments for invoices and credit notes
xero_payments_get_prepaymentAllows you to retrieve a specified prepayments
xero_payments_get_prepaymentsRetrieves prepayments
xero_payments_update_bank_transactionUpdates a single spent or received money transaction
xero_payments_update_linked_transactionUpdates a specific linked transactions (billable expenses)
xero_payments_update_or_create_bank_transactionsUpdates or creates one or more spent or received money transaction

xero_payments_create_bank_transactions

Creates one or more spent or received money transaction Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
BankTransactionsobject[]NoBank Transactions
paginationobjectNoThe pagination value
Warningsobject[]NoDisplays array of warning messages from the API

xero_payments_create_bank_transfer

Creates a bank transfer Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
BankTransfersobject[]NoBank Transfers

xero_payments_create_batch_payment

Creates one or many batch payments for invoices Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
BatchPaymentsobject[]NoBatch Payments

xero_payments_create_linked_transaction

Creates linked transactions (billable expenses) Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
ContactIDstringNoFilter by the combination of ContactID and Status. Get all the linked transactions that have been assigned to a particular customer and have a particular status e.g. GET /LinkedTransactions?ContactID=4bb34b03-3378-4bb2-a0ed-6345abf3224e&Status=APPROVED.
LinkedTransactionIDstringNoThe Xero identifier for an Linked Transaction e.g./LinkedTransactions/297c2dc5-cc47-4afd-8ec8-74990b8761e9
SourceLineItemIDstringNoThe line item identifier from the source transaction.
SourceTransactionIDstringNoFilter by the SourceTransactionID. Get all the linked transactions created from a particular ACCPAY invoice
SourceTransactionTypeCodestringNoThe Type of the source tranasction. This will be ACCPAY if the linked transaction was created from an invoice and SPEND if it was created from a bank transaction.
StatusstringNoFilter by the combination of ContactID and Status. Get all the linked transactions that have been assigned to a particular customer and have a particular status e.g. GET /LinkedTransactions?ContactID=4bb34b03-3378-4bb2-a0ed-6345abf3224e&Status=APPROVED.
TargetLineItemIDstringNoThe line item identifier from the target transaction. It is possible to link multiple billable expenses to the same TargetLineItemID.
TargetTransactionIDstringNoFilter by the TargetTransactionID. Get all the linked transactions allocated to a particular ACCREC invoice
TypestringNoThis will always be BILLABLEEXPENSE. More types may be added in future.
UpdatedDateUTCstringNoThe last modified date in UTC format
ValidationErrorsobject[]NoDisplays array of validation error messages from the API

xero_payments_create_overpayment_allocations

Creates a single allocation for a specific overpayment Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
OverpaymentIDstringYesUnique identifier for a Overpayment
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
Allocationsobject[]NoThe allocations value

xero_payments_create_payment

Creates a single payment for invoice or credit notes Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
AccountobjectNoThe account value
AmountnumberNoThe amount of the payment. Must be less than or equal to the outstanding amount owing on the invoice e.g. 200.00
BankAccountNumberstringNoThe suppliers bank account number the payment is being made to
BankAmountnumberNoThe amount of the payment in the currency of the bank account.
BatchPaymentobjectNoBatch Payment
BatchPaymentIDstringNoPresent if the payment was created as part of a batch.
CodestringNoCode of account you are using to make the payment e.g. 001 (note- not all accounts have a code value)
CreditNoteobjectNoCredit Note
CreditNoteNumberstringNoNumber of invoice or credit note you are applying payment to e.g. INV-4003
CurrencyRatenumberNoExchange rate when payment is received. Only used for non base currency invoices and credit notes e.g. 0.7500
DatestringNoDate the payment is being made (YYYY-MM-DD) e.g. 2009-09-06
DetailsstringNoThe information to appear on the supplier’s bank account
HasAccountbooleanNoA boolean to indicate if a contact has an validation errors
HasValidationErrorsbooleanNoA boolean to indicate if a contact has an validation errors
InvoiceobjectNoThe invoice value
InvoiceNumberstringNoNumber of invoice or credit note you are applying payment to e.g.INV-4003
IsReconciledbooleanNoAn optional parameter for the payment. A boolean indicating whether you would like the payment to be created as reconciled when using PUT, or whether a payment has been reconciled when using GET
OverpaymentobjectNoThe overpayment value
ParticularsstringNoThe suppliers bank account number the payment is being made to
PaymentIDstringNoThe Xero identifier for an Payment e.g. 297c2dc5-cc47-4afd-8ec8-74990b8761e9
PaymentTypestringNoSee Payment Types.
PrepaymentobjectNoThe prepayment value
ReferencestringNoAn optional description for the payment e.g. Direct Debit
StatusstringNoThe status of the payment.
StatusAttributeStringstringNoA string to indicate if a invoice status
UpdatedDateUTCstringNoUTC timestamp of last update to the payment
ValidationErrorsobject[]NoDisplays array of validation error messages from the API
Warningsobject[]NoDisplays array of warning messages from the API

xero_payments_create_payments

Creates multiple payments for invoices or credit notes Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
paginationobjectNoThe pagination value
Paymentsobject[]NoThe payments value
Warningsobject[]NoDisplays array of warning messages from the API

xero_payments_create_prepayment_allocations

Allows you to create an Allocation for prepayments Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
PrepaymentIDstringYesUnique identifier for a PrePayment
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
Allocationsobject[]NoThe allocations value

xero_payments_delete_batch_payment

Updates a specific batch payment for invoices and credit notes Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
BatchPaymentIDstringYesThe Xero generated unique identifier for the bank transaction (read-only)
StatusstringYesThe status of the batch payment.

xero_payments_delete_batch_payment_by_url_param

Updates a specific batch payment for invoices and credit notes Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
BatchPaymentIDstringYesUnique identifier for BatchPayment
StatusstringYesThe status of the batch payment.

xero_payments_delete_linked_transaction

Deletes a specific linked transactions (billable expenses) Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
LinkedTransactionIDstringYesUnique identifier for a LinkedTransaction

xero_payments_delete_overpayment_allocations

Deletes an Allocation from an overpayment Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
OverpaymentIDstringYesUnique identifier for a Overpayment
AllocationIDstringYesUnique identifier for Allocation object

xero_payments_delete_payment

Updates a specific payment for invoices and credit notes Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
PaymentIDstringYesUnique identifier for a Payment
StatusstringYesThe status of the payment.

xero_payments_delete_prepayment_allocations

Deletes an Allocation from a Prepayment Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
PrepaymentIDstringYesUnique identifier for a PrePayment
AllocationIDstringYesUnique identifier for Allocation object

xero_payments_get_bank_transaction

Retrieves a single spent or received money transaction by using a unique bank transaction Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
BankTransactionIDstringYesXero generated unique identifier for a bank transaction
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts

xero_payments_get_bank_transactions

Retrieves any spent or received money transactions Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element
pageintegerNoUp to 100 bank transactions will be returned in a single API call with line items details
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
pageSizeintegerNoNumber of records to retrieve per page

xero_payments_get_bank_transfer

Retrieves specific bank transfers by using a unique bank transfer Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
BankTransferIDstringYesXero generated unique identifier for a bank transfer

xero_payments_get_bank_transfers

Retrieves all bank transfers Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element

xero_payments_get_batch_payment

Retrieves a specific batch payment using a unique batch payment Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
BatchPaymentIDstringYesUnique identifier for BatchPayment

xero_payments_get_batch_payments

Retrieves either one or many batch payments for invoices Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element

xero_payments_get_linked_transaction

Retrieves a specific linked transaction (billable expenses) using a unique linked transaction Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
LinkedTransactionIDstringYesUnique identifier for a LinkedTransaction

xero_payments_get_linked_transactions

Retrieves linked transactions (billable expenses) Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
pageintegerNoUp to 100 linked transactions will be returned in a single API call. Use the page parameter to specify the page to be returned e.g. page=1.
LinkedTransactionIDstringNoThe Xero identifier for an Linked Transaction
SourceTransactionIDstringNoFilter by the SourceTransactionID. Get the linked transactions created from a particular ACCPAY invoice
ContactIDstringNoFilter by the ContactID. Get all the linked transactions that have been assigned to a particular customer.
StatusstringNoFilter by the combination of ContactID and Status. Get the linked transactions associated to a customer and with a status
TargetTransactionIDstringNoFilter by the TargetTransactionID. Get all the linked transactions allocated to a particular ACCREC invoice

xero_payments_get_overpayment

Retrieves a specific overpayment using a unique overpayment Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
OverpaymentIDstringYesUnique identifier for a Overpayment

xero_payments_get_overpayments

Retrieves overpayments Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element
pageintegerNoe.g. page=1 – Up to 100 overpayments will be returned in a single API call with line items shown for each overpayment
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
pageSizeintegerNoNumber of records to retrieve per page
Referencesstring[]NoFilter by a comma-separated list of References

xero_payments_get_payment

Retrieves a specific payment for invoices and credit notes using a unique payment Id Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
PaymentIDstringYesUnique identifier for a Payment

xero_payments_get_payments

Retrieves payments for invoices and credit notes Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element
pageintegerNoUp to 100 payments will be returned in a single API call
pageSizeintegerNoNumber of records to retrieve per page

xero_payments_get_prepayment

Allows you to retrieve a specified prepayments Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
PrepaymentIDstringYesUnique identifier for a PrePayment

xero_payments_get_prepayments

Retrieves prepayments Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
If-Modified-SincestringNoOnly records created or modified since this timestamp will be returned
wherestringNoFilter by an any element
orderstringNoOrder by an any element
pageintegerNoe.g. page=1 – Up to 100 prepayments will be returned in a single API call with line items shown for each overpayment
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
pageSizeintegerNoNumber of records to retrieve per page
InvoiceNumbersstring[]NoFilter by a comma-separated list of InvoiceNumbers

xero_payments_update_bank_transaction

Updates a single spent or received money transaction Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
BankTransactionIDstringYesXero generated unique identifier for a bank transaction
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
BankTransactionsobject[]NoBank Transactions
paginationobjectNoThe pagination value
Warningsobject[]NoDisplays array of warning messages from the API

xero_payments_update_linked_transaction

Updates a specific linked transactions (billable expenses) Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
LinkedTransactionIDstringYesUnique identifier for a LinkedTransaction
LinkedTransactionsobject[]NoLinked Transactions

xero_payments_update_or_create_bank_transactions

Updates or creates one or more spent or received money transaction Parameters:
ParameterTypeRequiredDefaultDescription
xero-tenant-idstringYesXero identifier for Tenant
summarizeErrorsbooleanNoIf false return 200 OK and mix of successfully created objects and any with validation errors
unitdpintegerNoe.g. unitdp=4 – (Unit Decimal Places) You can opt in to use four decimal places for unit amounts
Idempotency-KeystringNoThis allows you to safely retry requests without the risk of duplicate processing. 128 character max.
BankTransactionsobject[]NoBank Transactions
paginationobjectNoThe pagination value
Warningsobject[]NoDisplays array of warning messages from the API